#
# spec file for package python-docopt
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-docopt
Version:        0.6.2
Release:        9.4
Summary:        Pythonic argument parser
License:        MIT
Group:          Development/Languages/Python
URL:            http://docopt.org
Source:         https://files.pythonhosted.org/packages/source/d/docopt/docopt-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
docopt creates command-line interfaces.

This way one does not need to write repeatable parser-code,
and instead can write only the help message.

%prep
%setup -q -n docopt-%{version}

# Fix wrong-script-interpreter
sed -i "s|#! %{_bindir}/env python||" examples/git/git.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE-MIT
%doc README.rst
%doc examples/
%{python_sitelib}/*

%changelog
* Tue Jan 30 2024 Antonio Larrosa <alarrosa@suse.com>
- Fix (C) line in spec file
* Tue Jun 13 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed Dec  5 2018 Jan Engelhardt <jengelh@inai.de>
- Remove rhetorics and bias from descriptions.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Jul 10 2017 toddrme2178@gmail.com
- Fix wrong-script-interpreter rpmlint error.
* Tue Apr 25 2017 toddrme2178@gmail.com
- Implement single-spec version
- Fix source URL.
* Mon Sep 14 2015 ms@suse.com
- Package required in SLE12 due to fate#319400
* Mon Jul 14 2014 toddrme2178@gmail.com
- Update to 0.6.2
  * Wheel support
* Mon Feb 10 2014 speilicke@suse.com
- Add LICENSE-MIT README.rst, use proper macros and use setuptools
  instead of distribte (upstreams merged)
* Wed Feb  5 2014 arun@gmx.de
- initial commit to d-p-l. Below are the previous Changelog entries
  * 0.6.1 Bugfix release.
  * 0.6.0 options_first parameter.
    Breaking changes: Corrected [options] meaning.
    argv defaults to None.
  * 0.5.0 Repeated options/commands are counted or accumulated into a
    list.
  * 0.4.2 Bugfix release.
  * 0.4.0 Option descriptions become optional,
    support for "--" and "-" commands.
  * 0.3.0 Support for (sub)commands like "git remote add".
    Introduce [options] shortcut for any options.
    Breaking changes: docopt returns dictionary.
  * 0.2.0 Usage pattern matching. Positional arguments parsing based on
    usage patterns.
    Breaking changes: docopt returns namespace (for arguments),
    not list. Usage pattern is formalized.
  * 0.1.0 Initial release. Options-parsing only (based on options
    description).
